﻿using System;
using MigraDoc.DocumentObjectModel;
using MigraDoc.DocumentObjectModel.Tables;
using System.Diagnostics;
using MigraDoc.DocumentObjectModel.IO;
using MigraDoc.Rendering;

namespace Invoice
{
	public class program
	{
		static void Main(string[] args)
		{

			//Install-Package PDFsharp-MigraDoc-WPF -Version 1.50.4845-RC2a 


			Document document = new Document();
			Section section = document.AddSection();
			
			//First error described
			Table mergeBorderTable = section.AddTable();
			mergeBorderTable.Borders.Bottom.Width = 0.5;
			mergeBorderTable.Borders.Top.Width = 0.5;
			mergeBorderTable.Borders.Left.Width = 0.5;
			mergeBorderTable.Borders.Right.Width = 0.5;
			mergeBorderTable.AddColumn();
			mergeBorderTable.AddColumn();
			mergeBorderTable.AddRow();
			mergeBorderTable.AddRow();
			mergeBorderTable.Rows[0].Cells[1].MergeDown = 1;

			mergeBorderTable.Rows[0].Cells[1].Borders.Bottom.Width = 3;
			//The above line does NOT display

//			mergeBorderTable.Rows[1].Cells[1].Borders.Bottom.Width = 3;
			//The above line is a fix I found but it is inconvenient

			section.AddParagraph("");

//			Second error described
			Table tableStyleFix = section.AddTable();
			tableStyleFix.Borders.Right.Width = 0.5;
			tableStyleFix.Borders.Top.Width = 0.5;
			tableStyleFix.Borders.Left.Width = 0.5;
			tableStyleFix.Borders.Bottom.Width = 0.5;

			tableStyleFix.AddColumn();
			tableStyleFix.AddColumn();
			tableStyleFix.AddColumn();
			tableStyleFix.AddRow();
			tableStyleFix.AddRow();
			tableStyleFix.AddRow();
			tableStyleFix.Rows[0].Cells[1].MergeDown = 2;
			tableStyleFix.Rows[1].Cells[2].Borders.Left.Width = 3;


			var pdfRenderer = new PdfDocumentRenderer();
			pdfRenderer.Document = document;
			pdfRenderer.RenderDocument();
			var filename = DateTime.Now.ToFileTime() + "borderTest";
			pdfRenderer.Save(filename + ".pdf");
			Process.Start(filename + ".pdf");

			MigraDoc.DocumentObjectModel.IO.DdlWriter dw = new DdlWriter(filename + ".mdddl");
			dw.WriteDocument(document);
			dw.Close();

			Process.Start(filename + ".mdddl");


		}
	}
}